import MapData from './model/data/MapData';

import { loadMap } from './view/map';
import Renderer from './view/renderer/Renderer';

window.onload = () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

	const xhr = new XMLHttpRequest();

	xhr.addEventListener('load', async function() {
		const map = new MapData(JSON.parse(this.responseText));
		const mapView = await loadMap(renderer, map);
		mapView.render();
	});

	xhr.open('GET', 'resources/map/test.json', true);
	xhr.send();
};
